Skip to main content
GET
/
wallets
/
{walletId}
/
transactions
List wallet transactions
curl --request GET \
  --url https://api.zeam.app/v1/wallets/{walletId}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'x-zeam-auth: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transactionHash": "<string>",
      "asset": "<string>",
      "amount": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "nextCursor": "<string>",
    "hasMore": true
  }
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}
{
  "type": "https://errors.zeam.app/validation-error",
  "title": "Validation Error",
  "status": 422,
  "detail": "The 'amount' field must be a positive decimal.",
  "instance": "/v1/quotes",
  "requestId": "01J8Z6K3QW9F2",
  "errors": [
    {
      "field": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Access token issued by POST /v1/auth/token.

x-zeam-auth
string
header
required

Application secret (Kong apiKey) issued at registration.

Path Parameters

walletId
string<uuid>
required

Wallet identifier.

Query Parameters

limit
integer
default:20

Maximum items per page.

Required range: 1 <= x <= 100
cursor
string

Opaque pagination cursor from a previous response.

Response

A page of transactions.

data
object[]
required
pagination
object
required